Summary: XSL stylesheet processor (Java class lib)
Name: xalan-j
Version: 1.0.1
%define jarname xalan-j_1_0_1
Release: 1
Copyright: Apache
Group: Applications/Internet
Source: http://xml.apache.org/dist/%{jarname}.tar.gz
Source1: add-%{name}-jserv
Source2: remove-%{name}-jserv
URL: http://xml.apache.org
Distribution: Red Hat Linux
Packager: Henri Gomez <gomez@slib.fr>, Murray Todd Williams <MurrayTodd@yahoo.com>
Requires: xerces-j = 1.0.3
BuildRoot: /var/tmp/%{name}-root
BuildArchitectures: noarch
BuildRequires: xerces-j = 1.0.3
BuildRequires: ant
Prefix: /opt
%define xalan_home %{prefix}/xalan-j

%description
Xalan-Java (named after a rare musical instrument) provides high-performance 
XSL stylesheet processing. Xalan-Java fully implements the W3C XSLT 
recommendation. The stylesheet processor is feature rich and robust.

%package doc
Group: Applications/Internet
Requires: webserver
Summary: Online manual for Xalan-J

%description doc
Documentation for Xalan-J, viewable through your web server, too!

%prep
rm -rf ${RPM_BUILD_DIR}/xalan_1_0_1
cd ${RPM_BUILD_DIR}
rm -rf ${RPM_BUILD_DIR}/META-INF
tar -xzvf %{SOURCE0}

%build
cd ${RPM_BUILD_DIR}/xalan_1_0_1

%install
cd ${RPM_BUILD_DIR}/xalan_1_0_1
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/%{xalan_home}
install --mode=0644 xalan.jar $RPM_BUILD_ROOT/%{xalan_home}
install --mode=0644 samples/xalansamples.jar $RPM_BUILD_ROOT/%{xalan_home}
install --mode=0644 bsf.jar $RPM_BUILD_ROOT/%{xalan_home}
install --mode=0644 bsfengines.jar $RPM_BUILD_ROOT/%{xalan_home}
install --mode=0755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin
install --mode=0755 %{SOURCE2} $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/%{name}
cp -prf  docs/* $RPM_BUILD_ROOT/home/httpd/html/manual/%{name}
cp -prf  xdocs/style/* $RPM_BUILD_ROOT/home/httpd/html/manual/%{name}
cd $RPM_BUILD_ROOT/home/httpd/html/manual/%{name}
cp overview.html index.html
find . -type d -exec chmod 755 \{\} \;

%post
if [ -f /etc/httpd/conf/jserv/jserv.properties ] ; then
	/usr/bin/add-%{name}-jserv
fi

rm -f /etc/profile.d/%{name}.sh
cat > /etc/profile.d/%{name}.sh <<EOF
#!/bin/bash

if [ -d %{xalan_home} ]; then
    if [ -z \${XALAN_HOME} ]; then
        export XALAN_HOME=%{xalan_home}
        export CLASSPATH=\$CLASSPATH:\$XALAN_HOME/xalan.jar:\$XALAN_HOME/bsf.jar:\$XALAN_HOME/bsfengines.jar
    fi
fi
EOF
chmod 755 /etc/profile.d/%{name}.sh

%preun
if [ $1 = 0 ]; then
	if [ -f /etc/httpd/conf/jserv/jserv.properties ] ; then
		/usr/bin/remove-%{name}-jserv
	fi
	rm -f /etc/profile.d/%{name}.sh
fi

%files
%defattr(644 root root 755)
%attr(755,root,root)    %dir  	%{xalan_home}
%attr(644,root,root)            %{xalan_home}/xalan.jar
%attr(644,root,root)            %{xalan_home}/bsf.jar
%attr(644,root,root)            %{xalan_home}/bsfengines.jar
%attr(755,root,root)			/usr/bin/*
%doc xalan_1_0_1/KEYS
%doc xalan_1_0_1/README
%doc xalan_1_0_1/README.html
%doc xalan_1_0_1/CREDITS
%doc xalan_1_0_1/License
%doc xalan_1_0_1/samples

%files doc
%defattr(644 root root 755)
%attr( - ,root,root)				/home/httpd/html/manual/%{name}


%changelog

* Thu Feb 24 2000 Henri Gomez <gomez@slib.fr>
- xalan-j-0.19.4-2
- corrected add-xalan-j-jserv
- had to replace %{jarfile} with "xalan_1_0_0" because the unpack directory
  name (xalan_1_0_1) is different from the package name (xalan-j_1_0_1).

* Wed Feb 23 2000 Henri Gomez <gomez@slib.fr>
- xalan-j-0.19.4
- now fully rebuild jars from sources (no docs rebuild)
- created docs packages
- install docs-xdocs in /home/httpd/html/manual/xalan-j for 
  access via browser
- Built under Redhat 6.1 with IBM-JDK 1.1.8 (1999/12/21)
 
* Fri Jan 28 2000 Henri Gomez <gomez@slib.fr>
- xalan-j-0.19.2-3
- modified source file. Now get the .jar files from apache/dist
- added two scripts, add-xalan-j-jserv and remove-xalan-j-jserv to
  dynamically add/remove xalan (for cocoon) support for jserv
- moved xalan to /opt/xalan-j to follow ant/tomcat/watchdog/cocoon and
  xerces-j mapping
- removed apache requirement.
- removed CLASSPATH updates in /etc/profile. A /etc/profile.d/xalan-j.sh
  is created instead.

* Wed Jan 26 2000 Henri Gomez <gomez@slib.fr>
- xalan-j-0.19.2-2
- added BuildArchitectures: noarch
- modified spec to use BuildRoot, attr, ...
- renamed to xalan-j since there is also a xalan version
  using C++ which could became another RPM.
- change jars to mode 644.

* Tue Jan 25 2000 Murray Todd Williams <MurrayTodd@yahoo.com>
- xalan-0.19.2-1
- initial RPM

